package com.liquidnet.service.goblin.service.manage;

import com.github.pagehelper.PageInfo;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.vo.GoblinMixDetailsVo;
import com.liquidnet.service.goblin.dto.vo.GoblinMixManageListVo;
import com.liquidnet.service.goblin.param.GoblinMixDetailsParam;
import com.liquidnet.service.goblin.param.GoblinMixUpdateParam;

/**
 * <p>
 * 商城-搭售活动 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2022-06-30
 */
public interface IGoblinMixService {

    ResponseDto<PageInfo<GoblinMixManageListVo>> mixList(String mixName, Integer page);

    ResponseDto<GoblinMixDetailsVo> mixDetails(String mixId);

    ResponseDto<String> mixInsert(GoblinMixDetailsParam param);

    ResponseDto<Boolean> mixUpdate(GoblinMixUpdateParam param);

    ResponseDto<Boolean> mixLine(String mixId, Integer status);

    ResponseDto<Boolean> nameCount(String name);
}
